send-kakao-friendtalk
curl --request POST \
--url https://api.notifly.tech/messages/kakao-friendtalk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"projectId": "example_project_1234567890abcdef",
"messageType": "text",
"isAd": false,
"recipientList": [
{
"recipientNo": "01012345678",
"content": {
"text": "안녕하세요! 새로운 이벤트 소식을 알려드립니다."
}
}
]
}
'import requests
url = "https://api.notifly.tech/messages/kakao-friendtalk"
payload = {
"projectId": "example_project_1234567890abcdef",
"messageType": "text",
"isAd": False,
"recipientList": [
{
"recipientNo": "01012345678",
"content": { "text": "안녕하세요! 새로운 이벤트 소식을 알려드립니다." }
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
projectId: 'example_project_1234567890abcdef',
messageType: 'text',
isAd: false,
recipientList: [{recipientNo: '01012345678', content: {text: '안녕하세요! 새로운 이벤트 소식을 알려드립니다.'}}]
})
};
fetch('https://api.notifly.tech/messages/kakao-friendtalk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.notifly.tech/messages/kakao-friendtalk",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'projectId' => 'example_project_1234567890abcdef',
'messageType' => 'text',
'isAd' => false,
'recipientList' => [
[
'recipientNo' => '01012345678',
'content' => [
'text' => '안녕하세요! 새로운 이벤트 소식을 알려드립니다.'
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.notifly.tech/messages/kakao-friendtalk"
payload := strings.NewReader("{\n \"projectId\": \"example_project_1234567890abcdef\",\n \"messageType\": \"text\",\n \"isAd\": false,\n \"recipientList\": [\n {\n \"recipientNo\": \"01012345678\",\n \"content\": {\n \"text\": \"안녕하세요! 새로운 이벤트 소식을 알려드립니다.\"\n }\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.notifly.tech/messages/kakao-friendtalk")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"projectId\": \"example_project_1234567890abcdef\",\n \"messageType\": \"text\",\n \"isAd\": false,\n \"recipientList\": [\n {\n \"recipientNo\": \"01012345678\",\n \"content\": {\n \"text\": \"안녕하세요! 새로운 이벤트 소식을 알려드립니다.\"\n }\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.notifly.tech/messages/kakao-friendtalk")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"projectId\": \"example_project_1234567890abcdef\",\n \"messageType\": \"text\",\n \"isAd\": false,\n \"recipientList\": [\n {\n \"recipientNo\": \"01012345678\",\n \"content\": {\n \"text\": \"안녕하세요! 새로운 이벤트 소식을 알려드립니다.\"\n }\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"success": true
}{
"data": null,
"error": "Sender info is not registered."
}{
"success": false,
"error": "Internal Server Error"
}Messaging
Send Kakao Friendtalk (support ended May 31, 2026)
Legacy endpoint for sending Kakao Friendtalk messages. Specify the recipients, advertising status, and message type.
POST
/
messages
/
kakao-friendtalk
send-kakao-friendtalk
curl --request POST \
--url https://api.notifly.tech/messages/kakao-friendtalk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"projectId": "example_project_1234567890abcdef",
"messageType": "text",
"isAd": false,
"recipientList": [
{
"recipientNo": "01012345678",
"content": {
"text": "안녕하세요! 새로운 이벤트 소식을 알려드립니다."
}
}
]
}
'import requests
url = "https://api.notifly.tech/messages/kakao-friendtalk"
payload = {
"projectId": "example_project_1234567890abcdef",
"messageType": "text",
"isAd": False,
"recipientList": [
{
"recipientNo": "01012345678",
"content": { "text": "안녕하세요! 새로운 이벤트 소식을 알려드립니다." }
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
projectId: 'example_project_1234567890abcdef',
messageType: 'text',
isAd: false,
recipientList: [{recipientNo: '01012345678', content: {text: '안녕하세요! 새로운 이벤트 소식을 알려드립니다.'}}]
})
};
fetch('https://api.notifly.tech/messages/kakao-friendtalk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.notifly.tech/messages/kakao-friendtalk",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'projectId' => 'example_project_1234567890abcdef',
'messageType' => 'text',
'isAd' => false,
'recipientList' => [
[
'recipientNo' => '01012345678',
'content' => [
'text' => '안녕하세요! 새로운 이벤트 소식을 알려드립니다.'
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.notifly.tech/messages/kakao-friendtalk"
payload := strings.NewReader("{\n \"projectId\": \"example_project_1234567890abcdef\",\n \"messageType\": \"text\",\n \"isAd\": false,\n \"recipientList\": [\n {\n \"recipientNo\": \"01012345678\",\n \"content\": {\n \"text\": \"안녕하세요! 새로운 이벤트 소식을 알려드립니다.\"\n }\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.notifly.tech/messages/kakao-friendtalk")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"projectId\": \"example_project_1234567890abcdef\",\n \"messageType\": \"text\",\n \"isAd\": false,\n \"recipientList\": [\n {\n \"recipientNo\": \"01012345678\",\n \"content\": {\n \"text\": \"안녕하세요! 새로운 이벤트 소식을 알려드립니다.\"\n }\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.notifly.tech/messages/kakao-friendtalk")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"projectId\": \"example_project_1234567890abcdef\",\n \"messageType\": \"text\",\n \"isAd\": false,\n \"recipientList\": [\n {\n \"recipientNo\": \"01012345678\",\n \"content\": {\n \"text\": \"안녕하세요! 새로운 이벤트 소식을 알려드립니다.\"\n }\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"success": true
}{
"data": null,
"error": "Sender info is not registered."
}{
"success": false,
"error": "Internal Server Error"
}This reference describes the legacy Kakao Friendtalk endpoint. Notifly’s compatibility support ended on May 31, 2026.
- The endpoint required Notifly’s own KakaoTalk delivery configuration.
- For API send statistics, contact contact@notifly.tech. The console did not display those statistics.
Fallback from a promotional Friendtalk message to a promotional SMS required a registered 080 opt-out number.
- When you supplied
resendContent, the text needed the disclosures required by the promotional SMS API. - When you omitted
resendContent, Notifly generated the promotional disclosures using the registered 080 opt-out number.
Authorizations
Body
application/json
